From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyquery/
Date: Fri, 25 Sep 2015 11:46:31 +0000 (UTC) [thread overview]
Message-ID: <1443181590.89d2dc56fb10aeb53f33019cb6892e5627769142.jlec@gentoo> (raw)
commit: 89d2dc56fb10aeb53f33019cb6892e5627769142
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 25 11:46:21 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Sep 25 11:46:30 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89d2dc56
dev-python/pyquery: Add dropped version back
Package-Manager: portage-2.2.22
RepoMan-Options: --force
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/pyquery/Manifest | 1 +
dev-python/pyquery/pyquery-1.2.4.ebuild | 52 +++++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-python/pyquery/Manifest b/dev-python/pyquery/Manifest
index 91ab6dc..739b3fd 100644
--- a/dev-python/pyquery/Manifest
+++ b/dev-python/pyquery/Manifest
@@ -1,2 +1,3 @@
+DIST pyquery-1.2.4.tar.gz 23999 SHA256 1c39f786c42430279eadf787f1ef06873f15c9acba2698c23dfd925ac7b169d7 SHA512 77ec2efab157f693361e1dcbeabd7cac0709d3a8a25b6c47eb333be49c1485c7fa50b4fd9238bfff69657368130c2886cf6e0705415bdf1b48dc434365539c29 WHIRLPOOL 3fece4f710d69a0b57ab858f759196b269984a38af568003f7280215763c67b1e229feaf80f27b359a5da923248a11335026af4de85806ea6fc969c61c197685
DIST pyquery-1.2.8.zip 42552 SHA256 59af39301bad397e085e5080987f94ef30672f1cf8e73d19d3307b3b63c3cb4b SHA512 9d344a5c4b0dd565e31c803ceecb217c71f9a70badbc65f9fcfb4a2cccb725a1bf938ed0b1697dcfdf0ec967321dccc1916a884ffdb0af9828a65005f63c47d7 WHIRLPOOL 5c98c3e7584d429a7c9bca564aac04e5dc6f579265aa9b8b768e167cdfcc57758b0d728b3102a56af75fa6ea838a6c1927e733a5171d3266574ba2b34ee85209
DIST pyquery-1.2.9.zip 45289 SHA256 46c51eb878b787e814ee8f9737b0a62111034aeb4d1c06450ac5a8ea5a70e602 SHA512 f5152b471c896b39032add6a7f0e6ce63f426b4903bc7cf9eef12723c73453b40c310dd1497a7c4189fc6faaf804690fd91fb6d2f97fb6c4d6314682de4b8d05 WHIRLPOOL a57bb04402a3a8af98e7073d2b4e415a3e455bb67b4dc946831832f24339fe29fcd560123651abb3ae38c4ee9da3973638d27e064122702c0d1dd63d971fb67b
diff --git a/dev-python/pyquery/pyquery-1.2.4.ebuild b/dev-python/pyquery/pyquery-1.2.4.ebuild
new file mode 100644
index 0000000..6505fe5
--- /dev/null
+++ b/dev-python/pyquery/pyquery-1.2.4.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A jQuery-like library for python"
+HOMEPAGE="https://pypi.python.org/pypi/pyquery"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ~hppa ia64 ppc ~ppc64 s390 sh sparc x86 ~x86-fbsd"
+IUSE="beautifulsoup3 test"
+
+RDEPEND="
+ >=dev-python/lxml-2.1[${PYTHON_USEDEP}]
+ dev-python/cssselect[${PYTHON_USEDEP}]
+ >=dev-python/webob-1.2_rc1[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ app-arch/unzip
+ test? ( ${RDEPEND}
+ dev-python/beautifulsoup:python-2[$(python_gen_usedep 'python2*')]
+ dev-python/beautifulsoup:python-3[$(python_gen_usedep 'python3*')]
+ dev-python/nose[${PYTHON_USEDEP}] )"
+
+DOCS=( CHANGES.rst README.rst )
+
+python_prepare_all() {
+ # Disable tests that access the net
+ for file in docs/{ajax.txt,manipulating.txt,scrap.txt,tips.txt}
+ do
+ mv ${file} ${file/.txt/} || die
+ done
+ sed -e 's:>>> d = pq(url:>>> # d = pq(url:' -i README.rst || die
+ sed -e 's:class TestWebScrapping:class _TestWebScrapping:' -i ${PN}/test.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests || die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "Support for BeautifulSoup3 as a parser backend" dev-python/beautifulsoup
+}
next reply other threads:[~2015-09-25 11:46 UTC|newest]
Thread overview: 61+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-09-25 11:46 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-16 20:33 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyquery/ Michał Górny
2024-09-28 10:52 Michał Górny
2024-09-28 10:48 Arthur Zamarin
2024-08-31 6:55 Michał Górny
2024-08-26 18:54 Arthur Zamarin
2024-08-13 20:41 Michał Górny
2024-07-11 21:39 James Le Cuirot
2024-06-15 13:14 Michał Górny
2024-06-15 8:15 Michał Górny
2023-07-31 7:13 Michał Górny
2023-05-29 15:03 Sam James
2023-02-16 17:22 Arthur Zamarin
2022-12-28 19:11 Arthur Zamarin
2022-06-16 11:24 Michał Górny
2022-06-16 9:33 Jakov Smolić
2022-05-17 7:21 Michał Górny
2022-05-17 7:21 Michał Górny
2021-09-01 12:59 Marek Szuba
2021-05-30 19:45 Michał Górny
2020-12-31 8:54 Michał Górny
2020-12-31 1:20 Sam James
2020-11-28 15:36 Sam James
2020-11-28 15:36 Sam James
2020-11-21 20:54 Michał Górny
2020-07-25 8:31 Michał Górny
2020-07-14 13:19 Sam James
2020-07-02 17:05 Sergei Trofimovich
2020-05-30 14:37 Michał Górny
2020-05-26 18:32 Michał Górny
2020-05-18 10:57 Michał Górny
2020-03-25 15:42 Agostino Sarubbo
2020-03-25 15:27 Agostino Sarubbo
2020-03-25 12:36 Agostino Sarubbo
2020-03-25 12:23 Agostino Sarubbo
2019-06-05 7:28 Agostino Sarubbo
2019-04-28 13:03 Sergei Trofimovich
2019-04-17 12:21 Mikle Kolyada
2019-04-13 7:38 Sergei Trofimovich
2019-03-16 14:01 Mikle Kolyada
2019-03-15 23:19 Mikle Kolyada
2019-03-03 5:45 Mikle Kolyada
2019-03-02 23:42 Thomas Deutschmann
2018-12-31 10:13 Mikle Kolyada
2018-11-09 14:20 Alexey Shvetsov
2017-07-16 17:23 Alexis Ballier
2017-05-19 14:01 Manuel Rüger
2017-05-03 6:15 Michał Górny
2017-02-24 18:02 Markus Meier
2017-02-02 18:43 David Seifert
2017-01-27 13:42 Tobias Klausmann
2017-01-23 16:27 Agostino Sarubbo
2017-01-19 10:59 Agostino Sarubbo
2017-01-18 16:52 Agostino Sarubbo
2016-10-28 1:35 Mike Gilbert
2016-05-11 14:09 Patrick Lauer
2016-03-26 2:07 Matt Thode
2016-02-19 13:02 Patrick Lauer
2015-11-18 15:40 Justin Lecher
2015-10-14 15:52 Justin Lecher
2015-09-25 10:07 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1443181590.89d2dc56fb10aeb53f33019cb6892e5627769142.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox